// Example Win32 console program to demonstrate use of the MCR card API.
//
// Note:  Must be linked with mcrtime.lib
//
#include <stdio.h>
#include <windows.h>
#include "mcrtime.h"

int main(int /* argc */, char* /* argv[] */)   // No command line arguments
{
    MCT_VERSION  version;
    MCT_CHECKSUM checksum;
    MCT_TIME     time;

    // Get MCR card firmware version and checksum.
    McrGetFwVersion(&version);
    McrGetFwChecksum(&checksum);

    // Get current time and date from MCR card.
    McrGetTime(&time);

    // Dump results to console.
    printf("MCR firmware v%d.%d-%06X\n"
           "%02d/%02d/%04d  %02d:%02d:%02d.%03\n",
           (int)version.major, (int)version.minor, (int)checksum.value,
           (int)time.month,    (int)time.day,      (int)time.year,
           (int)time.hour,     (int)time.minute,   (int)time.seconds,
           (int)time.millisec);
    return 0;
}

